# Docker compose for test database
services:
  warnings-backend-db-tst:
    image: postgres:15.3
    network_mode: host
    volumes:
      - warnings-backend-db-test-volume:/var/lib/postgresql/data/
    environment:
      - "POSTGRES_USER=geoweb"
      - "POSTGRES_PASSWORD=geoweb"
    command: -p ${TST_DB_PORT:-5433}
    healthcheck:
      test:
        [
          "CMD-SHELL",
          "pg_isready -U $$POSTGRES_USER -d $$POSTGRES_DB"
        ]
      interval: 10s
      timeout: 5s
      retries: 5

volumes:
  warnings-backend-db-test-volume:
